Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.51105
Category:Red Hat Local Security Checks
Title:RedHat Security Advisory RHSA-2004:395
Summary:NOSUMMARY
Description:Description:

The remote host is missing updates announced in
advisory RHSA-2004:395.

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP server.

Stefan Esser discovered a flaw when memory_limit configuration setting is
enabled in versions of PHP 4 before 4.3.8. If a remote attacker could
force the PHP interpreter to allocate more memory than the memory_limit
setting before script execution begins, then the attacker may be
able to supply the contents of a PHP hash table remotely. This hash table
could then be used to execute arbitrary code as the 'apache' user. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned
the name CVE-2004-0594 to this issue.

This issue may be exploitable if using the default PHP configuration with
the register_globals setting of On. The Apache memory exhaustion bug,
fixed in a previous update to Red Hat Enterprise Linux 3, may also allow
this PHP issue to be exploited
this Apache bug does not affect Red Hat
Enterprise Linux 2.1.

Stefan Esser discovered a flaw in the strip_tags function in versions of
PHP before 4.3.8. The strip_tags function is commonly used by PHP scripts
to prevent Cross-Site-Scripting attacks by removing HTML tags from
user-supplied form data. By embedding NUL bytes into form data, HTML tags
can in some cases be passed intact through the strip_tags function, which
may allow a Cross-Site-Scripting attack. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the name CVE-2004-0595 to
this issue.

All users of PHP are advised to upgrade to these updated packages, which
contain backported patches that address these issues.

Solution:
Please note that this update is available via
Red Hat Network. To use Red Hat Network, launch the Red
Hat Update Agent with the following command: up2date

http://rhn.redhat.com/errata/RHSA-2004-395.html

Risk factor : High

CVSS Score:
6.8

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2004-0594
BugTraq ID: 10725
http://www.securityfocus.com/bid/10725
Bugtraq: 20040713 Advisory 11/2004: PHP memory_limit remote vulnerability (Google Search)
http://marc.info/?l=bugtraq&m=108981780109154&w=2
Bugtraq: 20040714 TSSA-2004-013 - php (Google Search)
http://marc.info/?l=bugtraq&m=108982983426031&w=2
Bugtraq: 20040722 [OpenPKG-SA-2004.034] OpenPKG Security Advisory (php) (Google Search)
http://marc.info/?l=bugtraq&m=109051444105182&w=2
Conectiva Linux advisory: CLA-2004:847
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000847
Debian Security Information: DSA-531 (Google Search)
http://www.debian.org/security/2004/dsa-531
Debian Security Information: DSA-669 (Google Search)
http://www.debian.org/security/2005/dsa-669
http://lists.grok.org.uk/pipermail/full-disclosure/2004-July/023908.html
http://www.gentoo.org/security/en/glsa/glsa-200407-13.xml
HPdes Security Advisory: SSRT4777
http://marc.info/?l=bugtraq&m=109181600614477&w=2
http://www.mandrakesecure.net/en/advisories/advisory.php?name=MDKSA-2004:068
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10896
http://www.redhat.com/support/errata/RHSA-2004-392.html
http://www.redhat.com/support/errata/RHSA-2004-395.html
http://www.redhat.com/support/errata/RHSA-2004-405.html
http://www.redhat.com/support/errata/RHSA-2005-816.html
SuSE Security Announcement: SUSE-SA:2004:021 (Google Search)
http://www.novell.com/linux/security/advisories/2004_21_php4.html
http://www.trustix.org/errata/2004/0039/
XForce ISS Database: php-memorylimit-code-execution(16693)
https://exchange.xforce.ibmcloud.com/vulnerabilities/16693
Common Vulnerability Exposure (CVE) ID: CVE-2004-0595
BugTraq ID: 10724
http://www.securityfocus.com/bid/10724
http://lists.grok.org.uk/pipermail/full-disclosure/2004-July/023909.html
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10619
XForce ISS Database: php-strip-tag-bypass(16692)
https://exchange.xforce.ibmcloud.com/vulnerabilities/16692
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.